# SecureXL

Monitors status of Check Point SecureXL

**Note**: check was renamed from *checkpoint_sxl_status* to *checkpoint_securexl*

---
### Check Info

* *service*: this check will create one service per Check Point gateway
* *state*: **warning** if fwSXLStatus is not '1' (SXL enabled)
* *wato*: none
* *perfdata*: 
    * connections active (count)
    * connections_added (/s)
    * connections_deleted (/s)

---
### Download

* [checkpoint_securexl.mkp (latest version)](https://thl-cmk.hopto.org/gitlab/checkmk/check-point/gateway/checkpoint_securexl/-/raw/master/checkpoint_securexl.mkp "Download latest version")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install checkpoint_securexl.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample output")

